<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Systems/Bot/Bot_TestSpawnAndOpenCan.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/dce/_bot___test_spawn_and_open_can_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Bot_TestSpawnAndOpenCan.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/dce/_bot___test_spawn_and_open_can_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d1/dd9/class_bot_event_entity_in_hands.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d1/dd9/class_bot_event_entity_in_hands.html">BotEventEntityInHands</a> : <a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> { };</div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="keyword">class </span>BotSpawnEntityInHands <span class="keyword">extends</span> <a class="code hl_class" href="../../d6/d45/class_bot_state_base.html">BotStateBase</a></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>{</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#adf06b6bba2afba3da63fc6cdd99ddd80">    5</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d6/d45/class_bot_state_base.html#adf06b6bba2afba3da63fc6cdd99ddd80">m_Type</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#a08745df4bac496a5b477b92e09c32567">    7</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d45/class_bot_state_base.html#a08745df4bac496a5b477b92e09c32567">BotSpawnEntityInHands</a> (<a class="code hl_class" href="../../de/d69/class_bot.html">Bot</a> bot = NULL, <a class="code hl_class" href="../../d6/d45/class_bot_state_base.html">BotStateBase</a> parent = NULL, <span class="keywordtype">string</span> new_type = <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <span class="keywordflow">if</span> (new_type == <span class="keywordtype">string</span>.<a class="code hl_variable" href="../../d3/d45/_hand___states_8c.html#ac3e3346bc6f9bb504e43495424c91a51">Empty</a>)</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>            <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a> = <span class="stringliteral">&quot;TunaCan&quot;</span>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>            <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a> = new_type;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    }</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#a71c560e9a695082f63741f6c6839b5b4">   15</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d45/class_bot_state_base.html#a71c560e9a695082f63741f6c6839b5b4">OnEntry</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        super.OnEntry(e);</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordflow">if</span> (m_Owner.GetInstanceType() == <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6bf3172c861dd775de5c544fed868499">DayZPlayerInstanceType</a>.INSTANCETYPE_SERVER)</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            m_Owner.GetHumanInventory().CreateInHands(<a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a>);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#aa86fa14cbf4a61eab0626061a7504253">   25</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d45/class_bot_state_base.html#aa86fa14cbf4a61eab0626061a7504253">OnExit</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e) { super.OnExit(e); }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#a5c1a678175d5b3bb5f37bb7b6af368bb">   27</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d45/class_bot_state_base.html#a5c1a678175d5b3bb5f37bb7b6af368bb">OnUpdate</a> (<span class="keywordtype">float</span> dt)</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        super.OnUpdate(dt);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> inHands = m_Owner.<a class="code hl_function" href="../../df/df9/class_entity_a_i.html#a73d315786982fc6435ec17de1fab9168">GetHumanInventory</a>().<a class="code hl_function" href="../../d8/d86/class_human_inventory.html#a314bb90c0fcbd13aa737c13b199ac429">GetEntityInHands</a>();</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordflow">if</span> (inHands)</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            <a class="code hl_function" href="../../d9/d1c/_bot_8c.html#a2cc868d5ca0b15d073aac0daefb7dfeb">botDebugPrint</a>(<span class="stringliteral">&quot;[bot] + &quot;</span> + m_Owner + <span class="stringliteral">&quot; hand item=&quot;</span> + inHands + <span class="stringliteral">&quot; bot=&quot;</span> + m_Owner);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            m_Bot.ProcessEvent(<span class="keyword">new</span> <a class="code hl_class" href="../../d1/dd9/class_bot_event_entity_in_hands.html">BotEventEntityInHands</a>(m_Owner, inHands));</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>};</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d7/ddc/class_bot_event_entity_in_hands_opened.html">   40</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d7/ddc/class_bot_event_entity_in_hands_opened.html">BotEventEntityInHandsOpened</a> : <a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> { };</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="keyword">class </span>BotOpenEntityInHands <span class="keyword">extends</span> <a class="code hl_class" href="../../d6/d45/class_bot_state_base.html">BotStateBase</a></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>{</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> <a class="code hl_variable" href="../../d6/d45/class_bot_state_base.html#abdf9e0273d875e1a9b0f4bb82e29d116">m_Entity</a>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#a71c560e9a695082f63741f6c6839b5b4">   46</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d45/class_bot_state_base.html#a71c560e9a695082f63741f6c6839b5b4">OnEntry</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        super.OnEntry(e);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">if</span> (m_Owner.GetInstanceType() == <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6bf3172c861dd775de5c544fed868499">DayZPlayerInstanceType</a>.INSTANCETYPE_SERVER)</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            <a class="code hl_class" href="../../d1/dd9/class_bot_event_entity_in_hands.html">BotEventEntityInHands</a> ev_ih = <a class="code hl_class" href="../../d1/dd9/class_bot_event_entity_in_hands.html">BotEventEntityInHands</a>.Cast(e);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <span class="keywordflow">if</span> (ev_ih)</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            {       </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>                <a class="code hl_variable" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a> = ev_ih.<a class="code hl_variable" href="../../dd/d84/class_bot_event_base.html#a82bda6c954f336e699e831c93f8646da">m_Entity</a>;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>                <a class="code hl_class" href="../../df/d7c/class_edible___base.html">Edible_Base</a> b = <a class="code hl_class" href="../../df/d7c/class_edible___base.html">Edible_Base</a>.Cast(<a class="code hl_variable" href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a>);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>                <span class="keywordflow">if</span> (b)</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>                {   </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>                    <a class="code hl_function" href="../../d9/d1c/_bot_8c.html#a2cc868d5ca0b15d073aac0daefb7dfeb">botDebugPrint</a>(<span class="stringliteral">&quot;[bot] + &quot;</span> + m_Owner + <span class="stringliteral">&quot; will open edible item=&quot;</span> + b + <span class="stringliteral">&quot; bot=&quot;</span> + m_Owner);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>                    b.Open();</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>                }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#a768d4ba9b3aaa1273152cbd09d9d47dc">   66</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d45/class_bot_state_base.html#a768d4ba9b3aaa1273152cbd09d9d47dc">OnAbort</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e) { super.OnAbort(e); }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#aa86fa14cbf4a61eab0626061a7504253">   68</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d45/class_bot_state_base.html#aa86fa14cbf4a61eab0626061a7504253">OnExit</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        super.OnExit(e);</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#a5c1a678175d5b3bb5f37bb7b6af368bb">   73</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d45/class_bot_state_base.html#a5c1a678175d5b3bb5f37bb7b6af368bb">OnUpdate</a> (<span class="keywordtype">float</span> dt)</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    {</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        super.OnUpdate(dt);</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> inHands = m_Owner.<a class="code hl_function" href="../../df/df9/class_entity_a_i.html#a73d315786982fc6435ec17de1fab9168">GetHumanInventory</a>().<a class="code hl_function" href="../../d8/d86/class_human_inventory.html#a314bb90c0fcbd13aa737c13b199ac429">GetEntityInHands</a>();</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <a class="code hl_function" href="../../d9/d1c/_bot_8c.html#a28d5d7d6fb28048af5ba4e06653d5ec4">botDebugSpam</a>(<span class="stringliteral">&quot;[bot] + &quot;</span> + m_Owner + <span class="stringliteral">&quot; wait for opened item inHands=&quot;</span> + inHands + <span class="stringliteral">&quot; bot=&quot;</span> + m_Owner);</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">if</span> (inHands)</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            <span class="keywordtype">string</span> t_str = inHands.GetType();</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            <span class="comment">//string t_str = t.ToString();</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            <span class="keywordflow">if</span> (t_str.<a class="code hl_function" href="../../d5/da2/group___strings.html#gade0ebcf22ddfeae2017ea97188d950be">IndexOf</a>(<span class="stringliteral">&quot;_Opened&quot;</span>) != -1)</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>                <a class="code hl_function" href="../../d9/d1c/_bot_8c.html#a2cc868d5ca0b15d073aac0daefb7dfeb">botDebugPrint</a>(<span class="stringliteral">&quot;[bot] + &quot;</span> + m_Owner + <span class="stringliteral">&quot; opened item=&quot;</span> + inHands + <span class="stringliteral">&quot; bot=&quot;</span> + m_Owner);</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>                m_Bot.ProcessEvent(<span class="keyword">new</span> <a class="code hl_class" href="../../d7/ddc/class_bot_event_entity_in_hands_opened.html">BotEventEntityInHandsOpened</a>(m_Owner, inHands));</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>};</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span> </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span> </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span><span class="keyword">class </span><a class="code hl_class" href="../../d9/ddd/class_bot___test_spawn_open.html">Bot_TestSpawnOpen</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d6/d45/class_bot_state_base.html">BotStateBase</a></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>{</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a>;</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#a6d5c3da898935df052955e057facd798">   96</a></span>    ref BotSpawnEntityInHands <a class="code hl_variable" href="../../d6/d45/class_bot_state_base.html#a6d5c3da898935df052955e057facd798">m_Spawning</a>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#afb2f6b24a2e3b1e7ab89bc0fe492d3bf">   97</a></span>    ref BotOpenEntityInHands <a class="code hl_variable" href="../../d6/d45/class_bot_state_base.html#afb2f6b24a2e3b1e7ab89bc0fe492d3bf">m_Opening</a>;</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span> </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#ac98e9103af36414e8fbb1461449c6c1f">   99</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d45/class_bot_state_base.html#ac98e9103af36414e8fbb1461449c6c1f">Bot_TestSpawnOpen</a> (<a class="code hl_class" href="../../de/d69/class_bot.html">Bot</a> bot = NULL, <a class="code hl_class" href="../../d6/d45/class_bot_state_base.html">BotStateBase</a> parent = NULL, <span class="keywordtype">string</span> new_type = <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    {</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a> = new_type;</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span> </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <span class="comment">// setup nested state machine</span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        m_FSM = <span class="keyword">new</span> <a class="code hl_class" href="../../d0/deb/namespace_3global_scope_4.html#d3/dd9/class_bot_f_s_m">BotFSM</a>(<span class="keyword">this</span>); <span class="comment">// @NOTE: set owner of the submachine fsm</span></div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span> </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        m_Spawning = <span class="keyword">new</span> BotSpawnEntityInHands(m_Bot, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        m_Opening = <span class="keyword">new</span> BotOpenEntityInHands(m_Bot, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <span class="comment">// events</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> __EntInH__ = <span class="keyword">new</span> <a class="code hl_class" href="../../d1/dd9/class_bot_event_entity_in_hands.html">BotEventEntityInHands</a>;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span> </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        <span class="comment">// transitions</span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        m_FSM.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../dc/d0a/_bot_f_s_m_8c.html#ae0f31efa3104368661141b422545f27c">BotTransition</a>(   m_Spawning,  __EntInH__, m_Opening));</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <span class="comment">//m_FSM.AddTransition(new BotTransition(   m_Opening,   __EntAtt__, m_Eating));</span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        <span class="comment">//m_FSM.AddTransition(new BotTransition(   m_Eating,   __EntAtt__, m_Eating));</span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span> </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        m_FSM.SetInitialState(m_Spawning);</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    }</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#a71c560e9a695082f63741f6c6839b5b4">  120</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d45/class_bot_state_base.html#a71c560e9a695082f63741f6c6839b5b4">OnEntry</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e) { super.OnEntry(e); }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#aa86fa14cbf4a61eab0626061a7504253">  121</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d45/class_bot_state_base.html#aa86fa14cbf4a61eab0626061a7504253">OnExit</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e) { super.OnExit(e); }</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#a5c1a678175d5b3bb5f37bb7b6af368bb">  122</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d45/class_bot_state_base.html#a5c1a678175d5b3bb5f37bb7b6af368bb">OnUpdate</a> (<span class="keywordtype">float</span> dt) { super.OnUpdate(dt); }</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>};</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span> </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span> </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno"><a class="line" href="../../dd/da8/class_bot_event_hands_empty.html">  126</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dd/da8/class_bot_event_hands_empty.html">BotEventHandsEmpty</a> : <a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> { };</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span> </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span><span class="keyword">class </span>BotWaitForEmptyHands <span class="keyword">extends</span> <a class="code hl_class" href="../../d6/d45/class_bot_state_base.html">BotStateBase</a></div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>{</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#a71c560e9a695082f63741f6c6839b5b4">  130</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d45/class_bot_state_base.html#a71c560e9a695082f63741f6c6839b5b4">OnEntry</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e) { super.OnEntry(e); }</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#a768d4ba9b3aaa1273152cbd09d9d47dc">  131</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d45/class_bot_state_base.html#a768d4ba9b3aaa1273152cbd09d9d47dc">OnAbort</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e) { super.OnAbort(e); }</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#aa86fa14cbf4a61eab0626061a7504253">  132</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d45/class_bot_state_base.html#aa86fa14cbf4a61eab0626061a7504253">OnExit</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e) { super.OnExit(e); }</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span> </div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#a5c1a678175d5b3bb5f37bb7b6af368bb">  134</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d45/class_bot_state_base.html#a5c1a678175d5b3bb5f37bb7b6af368bb">OnUpdate</a> (<span class="keywordtype">float</span> dt)</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    {</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        super.OnUpdate(dt);</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span> </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> inHands = m_Owner.<a class="code hl_function" href="../../df/df9/class_entity_a_i.html#a73d315786982fc6435ec17de1fab9168">GetHumanInventory</a>().<a class="code hl_function" href="../../d8/d86/class_human_inventory.html#a314bb90c0fcbd13aa737c13b199ac429">GetEntityInHands</a>();</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        <a class="code hl_function" href="../../d9/d1c/_bot_8c.html#a28d5d7d6fb28048af5ba4e06653d5ec4">botDebugSpam</a>(<span class="stringliteral">&quot;[bot] + &quot;</span> + m_Owner + <span class="stringliteral">&quot; waiting for empty hands, inHands=&quot;</span> + inHands + <span class="stringliteral">&quot; bot=&quot;</span> + m_Owner);</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <span class="keywordflow">if</span> (!inHands)</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        {</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>            <a class="code hl_function" href="../../d9/d1c/_bot_8c.html#a2cc868d5ca0b15d073aac0daefb7dfeb">botDebugPrint</a>(<span class="stringliteral">&quot;[bot] + &quot;</span> + m_Owner + <span class="stringliteral">&quot; hand slot empty. bot=&quot;</span> + m_Owner);</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>            m_Bot.ProcessEvent(<span class="keyword">new</span> <a class="code hl_class" href="../../dd/da8/class_bot_event_hands_empty.html">BotEventHandsEmpty</a>(m_Owner, inHands));</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        }</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    }</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>};</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span> </div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span><span class="keyword">class </span><a class="code hl_class" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html">BotWaitForChangeInHands</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d6/d45/class_bot_state_base.html">BotStateBase</a></div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>{</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    <span class="comment">/*override void OnExit (BotEventBase e)</span></div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span><span class="comment">    {</span></div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span><span class="comment">        super.OnExit(e);</span></div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span><span class="comment">        m_Bot.ProcessEvent(new BotEventEndOK(m_Owner));</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span><span class="comment">    }*/</span></div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>};</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span> </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span> </div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno"><a class="line" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html">  158</a></span><span class="keyword">class </span>BotDropEntityInHands <span class="keyword">extends</span> <a class="code hl_class" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html">BotWaitForChangeInHands</a></div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>{</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno"><a class="line" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#ae169cd5ba348c834624fa34c775695e0">  160</a></span>    <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> <a class="code hl_variable" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#ae169cd5ba348c834624fa34c775695e0">m_Entity</a>;</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span> </div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno"><a class="line" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#acfc8f79d952d8fbc61de2982c8c46469">  162</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#acfc8f79d952d8fbc61de2982c8c46469">OnEntry</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>    {</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        super.OnEntry(e);</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        </div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span> </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> inHands = m_Owner.<a class="code hl_function" href="../../df/df9/class_entity_a_i.html#a73d315786982fc6435ec17de1fab9168">GetHumanInventory</a>().<a class="code hl_function" href="../../d8/d86/class_human_inventory.html#a314bb90c0fcbd13aa737c13b199ac429">GetEntityInHands</a>();</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        <span class="keywordflow">if</span> (inHands)</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        {</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>            <a class="code hl_function" href="../../d9/d1c/_bot_8c.html#a2cc868d5ca0b15d073aac0daefb7dfeb">botDebugPrint</a>(<span class="stringliteral">&quot;[bot] + &quot;</span> + m_Owner + <span class="stringliteral">&quot; dropping item=&quot;</span> + inHands + <span class="stringliteral">&quot; bot=&quot;</span> + m_Owner);</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>            <span class="keywordflow">if</span> (m_Owner.GetInstanceType() == <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6bf3172c861dd775de5c544fed868499">DayZPlayerInstanceType</a>.INSTANCETYPE_CLIENT)</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>                m_Owner.PredictiveDropEntity(inHands);</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>            <span class="comment">//m_Owner.LocalDropEntity(inHands);</span></div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        }</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>    }</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span> </div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno"><a class="line" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#aecc9b4cf10547aedbea2fae4ae65a887">  177</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#aecc9b4cf10547aedbea2fae4ae65a887">OnAbort</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e) { super.OnAbort(e); }</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno"><a class="line" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#a558cf87a3755934fe595eb4956e0e594">  178</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#a558cf87a3755934fe595eb4956e0e594">OnExit</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e) { super.OnExit(e); }</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno"><a class="line" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#ae7c890bd961c84618dd9ff650c66d302">  179</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#ae7c890bd961c84618dd9ff650c66d302">OnUpdate</a> (<span class="keywordtype">float</span> dt) { super.OnUpdate(dt); }</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>};</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span> </div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span><span class="keyword">class </span>BotEatEntityInHands <span class="keyword">extends</span> <a class="code hl_class" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html">BotWaitForChangeInHands</a></div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>{</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> <a class="code hl_variable" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#ae169cd5ba348c834624fa34c775695e0">m_Entity</a>;</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span> </div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno"><a class="line" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#acfc8f79d952d8fbc61de2982c8c46469">  186</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#acfc8f79d952d8fbc61de2982c8c46469">OnEntry</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>    {</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        super.OnEntry(e);</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> inHands = m_Owner.<a class="code hl_function" href="../../df/df9/class_entity_a_i.html#a73d315786982fc6435ec17de1fab9168">GetHumanInventory</a>().<a class="code hl_function" href="../../d8/d86/class_human_inventory.html#a314bb90c0fcbd13aa737c13b199ac429">GetEntityInHands</a>();</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        <span class="keywordflow">if</span> (inHands)</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        {</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>            <a class="code hl_function" href="../../d9/d1c/_bot_8c.html#a2cc868d5ca0b15d073aac0daefb7dfeb">botDebugPrint</a>(<span class="stringliteral">&quot;[bot] + &quot;</span> + m_Owner + <span class="stringliteral">&quot; eating item=&quot;</span> + inHands + <span class="stringliteral">&quot; bot=&quot;</span> + m_Owner);</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>            <span class="keywordflow">if</span> (m_Owner.GetInstanceType() == <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6bf3172c861dd775de5c544fed868499">DayZPlayerInstanceType</a>.INSTANCETYPE_CLIENT)</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>            {</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span><span class="preprocessor">#ifdef BOT</span></div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>                <a class="code hl_class" href="../../d9/dd1/class_action_manager_base.html">ActionManagerBase</a> mgr = m_Owner.GetActionManager();</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>                <a class="code hl_class" href="../../d7/da1/class_action_manager_client.html">ActionManagerClient</a> cli_mgr = <a class="code hl_class" href="../../d7/da1/class_action_manager_client.html">ActionManagerClient</a>.Cast(mgr);</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>                <span class="keywordflow">if</span> (cli_mgr)</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>                {</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>                    <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target;</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>                    target = <span class="keyword">new</span> <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>(inHands, null, -1, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_variable" href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">Zero</a>, -1);</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>                    cli_mgr.PerformAction(AT_EAT, target, inHands);</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>                }</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>            }</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>        }</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>    }</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span> </div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno"><a class="line" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#aecc9b4cf10547aedbea2fae4ae65a887">  210</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#aecc9b4cf10547aedbea2fae4ae65a887">OnAbort</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e) { super.OnAbort(e); }</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno"><a class="line" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#a558cf87a3755934fe595eb4956e0e594">  211</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#a558cf87a3755934fe595eb4956e0e594">OnExit</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e) { super.OnExit(e); }</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno"><a class="line" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#ae7c890bd961c84618dd9ff650c66d302">  212</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#ae7c890bd961c84618dd9ff650c66d302">OnUpdate</a> (<span class="keywordtype">float</span> dt) { super.OnUpdate(dt); }</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>};</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span> </div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span> </div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span> </div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span><span class="keyword">class </span>BotDestroyEntityInHands <span class="keyword">extends</span> <a class="code hl_class" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html">BotWaitForChangeInHands</a></div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>{</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>    <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> <a class="code hl_variable" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#ae169cd5ba348c834624fa34c775695e0">m_Entity</a>;</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span> </div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno"><a class="line" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#acfc8f79d952d8fbc61de2982c8c46469">  221</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#acfc8f79d952d8fbc61de2982c8c46469">OnEntry</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>    {</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>        super.OnEntry(e);</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>        </div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> inHands = m_Owner.<a class="code hl_function" href="../../df/df9/class_entity_a_i.html#a73d315786982fc6435ec17de1fab9168">GetHumanInventory</a>().<a class="code hl_function" href="../../d8/d86/class_human_inventory.html#a314bb90c0fcbd13aa737c13b199ac429">GetEntityInHands</a>();</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>        <span class="keywordflow">if</span> (inHands)</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>        {</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>            <a class="code hl_function" href="../../d9/d1c/_bot_8c.html#a2cc868d5ca0b15d073aac0daefb7dfeb">botDebugPrint</a>(<span class="stringliteral">&quot;[bot] + &quot;</span> + m_Owner + <span class="stringliteral">&quot; deleting item=&quot;</span> + inHands + <span class="stringliteral">&quot; bot=&quot;</span> + m_Owner);</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>            <span class="keywordflow">if</span> (m_Owner.GetInstanceType() == <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6bf3172c861dd775de5c544fed868499">DayZPlayerInstanceType</a>.INSTANCETYPE_SERVER)</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>                inHands.Delete();</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>        }</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>    }</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span> </div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno"><a class="line" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#aecc9b4cf10547aedbea2fae4ae65a887">  234</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#aecc9b4cf10547aedbea2fae4ae65a887">OnAbort</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e) { super.OnAbort(e); }</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno"><a class="line" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#a558cf87a3755934fe595eb4956e0e594">  235</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#a558cf87a3755934fe595eb4956e0e594">OnExit</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e) { super.OnExit(e); }</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno"><a class="line" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#ae7c890bd961c84618dd9ff650c66d302">  236</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#ae7c890bd961c84618dd9ff650c66d302">OnUpdate</a> (<span class="keywordtype">float</span> dt) { super.OnUpdate(dt); }</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>};</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span> </div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span> </div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno"><a class="line" href="../../d9/ddd/class_bot___test_spawn_open.html">  240</a></span><span class="keyword">class </span>Bot_TestSpawnOpenDrop <span class="keyword">extends</span> <a class="code hl_class" href="../../d9/ddd/class_bot___test_spawn_open.html">Bot_TestSpawnOpen</a></div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>{</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno"><a class="line" href="../../d9/ddd/class_bot___test_spawn_open.html#ae070ff74f602e3e5da6aa3b3ceac12ae">  242</a></span>    ref BotDropEntityInHands <a class="code hl_variable" href="../../d9/ddd/class_bot___test_spawn_open.html#ae070ff74f602e3e5da6aa3b3ceac12ae">m_Dropping</a>;</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span> </div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno"><a class="line" href="../../d9/ddd/class_bot___test_spawn_open.html#a9c1ec19b90fa6c75917af620abe32289">  244</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/ddd/class_bot___test_spawn_open.html#a9c1ec19b90fa6c75917af620abe32289">Bot_TestSpawnOpenDrop</a> (<a class="code hl_class" href="../../de/d69/class_bot.html">Bot</a> bot = NULL, <a class="code hl_class" href="../../d6/d45/class_bot_state_base.html">BotStateBase</a> parent = NULL, <span class="keywordtype">string</span> new_type = <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>    {</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>        m_Dropping = <span class="keyword">new</span> BotDropEntityInHands(m_Bot, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>        </div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>        <span class="comment">// events</span></div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>        <a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> __EntOpn__ = <span class="keyword">new</span> <a class="code hl_class" href="../../d7/ddc/class_bot_event_entity_in_hands_opened.html">BotEventEntityInHandsOpened</a>;</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>        <a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> __HndChg__ = <span class="keyword">new</span> <a class="code hl_class" href="../../de/d5c/class_bot_event_on_item_in_hands_changed.html">BotEventOnItemInHandsChanged</a>;</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span> </div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>        <span class="comment">// transitions</span></div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>        m_FSM.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../dc/d0a/_bot_f_s_m_8c.html#ae0f31efa3104368661141b422545f27c">BotTransition</a>(    m_Opening,  __EntOpn__, m_Dropping));</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>        m_FSM.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../dc/d0a/_bot_f_s_m_8c.html#ae0f31efa3104368661141b422545f27c">BotTransition</a>(   m_Dropping,  __HndChg__, NULL));</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>    }</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span> </div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno"><a class="line" href="../../d9/ddd/class_bot___test_spawn_open.html#af6b6f85d6f1ddda3cdcdefc52b3ed54c">  257</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/ddd/class_bot___test_spawn_open.html#af6b6f85d6f1ddda3cdcdefc52b3ed54c">OnEntry</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e) { super.OnEntry(e); }</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno"><a class="line" href="../../d9/ddd/class_bot___test_spawn_open.html#a3f15ef539b71d4648cfeaa3854c8e8dd">  258</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/ddd/class_bot___test_spawn_open.html#a3f15ef539b71d4648cfeaa3854c8e8dd">OnExit</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e) { super.OnExit(e); }</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno"><a class="line" href="../../d9/ddd/class_bot___test_spawn_open.html#a4535e7a2c3d8b0eb74eb1ff0ea27d829">  259</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/ddd/class_bot___test_spawn_open.html#a4535e7a2c3d8b0eb74eb1ff0ea27d829">OnUpdate</a> (<span class="keywordtype">float</span> dt) { super.OnUpdate(dt); }</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>};</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span> </div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span><span class="keyword">class </span>Bot_TestSpawnOpenDestroy <span class="keyword">extends</span> <a class="code hl_class" href="../../d9/ddd/class_bot___test_spawn_open.html">Bot_TestSpawnOpen</a></div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>{</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno"><a class="line" href="../../d9/ddd/class_bot___test_spawn_open.html#a1f5a54906b347f5ef514b104c7b8f4de">  264</a></span>    ref BotDestroyEntityInHands <a class="code hl_variable" href="../../d9/ddd/class_bot___test_spawn_open.html#a1f5a54906b347f5ef514b104c7b8f4de">m_Destroying</a>;</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span> </div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno"><a class="line" href="../../d9/ddd/class_bot___test_spawn_open.html#a028b02a94ed3eac86f358bdc65b03dc2">  266</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/ddd/class_bot___test_spawn_open.html#a028b02a94ed3eac86f358bdc65b03dc2">Bot_TestSpawnOpenDestroy</a> (<a class="code hl_class" href="../../de/d69/class_bot.html">Bot</a> bot = NULL, <a class="code hl_class" href="../../d6/d45/class_bot_state_base.html">BotStateBase</a> parent = NULL, <span class="keywordtype">string</span> new_type = <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>    {</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>        m_Destroying = <span class="keyword">new</span> BotDestroyEntityInHands(m_Bot, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>        </div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>        <span class="comment">// events</span></div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>        <a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> __EntOpn__ = <span class="keyword">new</span> <a class="code hl_class" href="../../d7/ddc/class_bot_event_entity_in_hands_opened.html">BotEventEntityInHandsOpened</a>;</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>        <a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> __HndChg__ = <span class="keyword">new</span> <a class="code hl_class" href="../../de/d5c/class_bot_event_on_item_in_hands_changed.html">BotEventOnItemInHandsChanged</a>;</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span> </div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>        <span class="comment">// transitions</span></div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>        m_FSM.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../dc/d0a/_bot_f_s_m_8c.html#ae0f31efa3104368661141b422545f27c">BotTransition</a>(    m_Opening,  __EntOpn__, m_Destroying));</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>        m_FSM.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../dc/d0a/_bot_f_s_m_8c.html#ae0f31efa3104368661141b422545f27c">BotTransition</a>( m_Destroying,  __HndChg__, NULL));</div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>    }</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span> </div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno"><a class="line" href="../../d9/ddd/class_bot___test_spawn_open.html#af6b6f85d6f1ddda3cdcdefc52b3ed54c">  279</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/ddd/class_bot___test_spawn_open.html#af6b6f85d6f1ddda3cdcdefc52b3ed54c">OnEntry</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e) { super.OnEntry(e); }</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno"><a class="line" href="../../d9/ddd/class_bot___test_spawn_open.html#a3f15ef539b71d4648cfeaa3854c8e8dd">  280</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/ddd/class_bot___test_spawn_open.html#a3f15ef539b71d4648cfeaa3854c8e8dd">OnExit</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e) { super.OnExit(e); }</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno"><a class="line" href="../../d9/ddd/class_bot___test_spawn_open.html#a4535e7a2c3d8b0eb74eb1ff0ea27d829">  281</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/ddd/class_bot___test_spawn_open.html#a4535e7a2c3d8b0eb74eb1ff0ea27d829">OnUpdate</a> (<span class="keywordtype">float</span> dt) { super.OnUpdate(dt); }</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>};</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span> </div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span><span class="keyword">class </span>Bot_TestSpawnOpenEat <span class="keyword">extends</span> <a class="code hl_class" href="../../d9/ddd/class_bot___test_spawn_open.html">Bot_TestSpawnOpen</a></div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>{</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno"><a class="line" href="../../d9/ddd/class_bot___test_spawn_open.html#aac2b8cde6d587e3b360f4ed1d8228df0">  286</a></span>    ref BotEatEntityInHands <a class="code hl_variable" href="../../d9/ddd/class_bot___test_spawn_open.html#aac2b8cde6d587e3b360f4ed1d8228df0">m_Eating</a>;</div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span> </div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno"><a class="line" href="../../d9/ddd/class_bot___test_spawn_open.html#ae1baf464e0c9f631a85bb38a44311715">  288</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/ddd/class_bot___test_spawn_open.html#ae1baf464e0c9f631a85bb38a44311715">Bot_TestSpawnOpenEat</a> (<a class="code hl_class" href="../../de/d69/class_bot.html">Bot</a> bot = NULL, <a class="code hl_class" href="../../d6/d45/class_bot_state_base.html">BotStateBase</a> parent = NULL, <span class="keywordtype">string</span> new_type = <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>    {</div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span>        m_Eating = <span class="keyword">new</span> BotEatEntityInHands(m_Bot, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span>        </div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span>        <span class="comment">// events</span></div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span>        <a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> __EntOpn__ = <span class="keyword">new</span> <a class="code hl_class" href="../../d7/ddc/class_bot_event_entity_in_hands_opened.html">BotEventEntityInHandsOpened</a>;</div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span>        <a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> __HndChg__ = <span class="keyword">new</span> <a class="code hl_class" href="../../de/d5c/class_bot_event_on_item_in_hands_changed.html">BotEventOnItemInHandsChanged</a>;</div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno">  295</span> </div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span>        <span class="comment">// transitions</span></div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno">  297</span>        m_FSM.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../dc/d0a/_bot_f_s_m_8c.html#ae0f31efa3104368661141b422545f27c">BotTransition</a>(    m_Opening,  __EntOpn__, m_Eating));</div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span>        m_FSM.AddTransition(<span class="keyword">new</span> <a class="code hl_typedef" href="../../dc/d0a/_bot_f_s_m_8c.html#ae0f31efa3104368661141b422545f27c">BotTransition</a>(     m_Eating,  __HndChg__, NULL));</div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno">  299</span>    }</div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span> </div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno"><a class="line" href="../../d9/ddd/class_bot___test_spawn_open.html#af6b6f85d6f1ddda3cdcdefc52b3ed54c">  301</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/ddd/class_bot___test_spawn_open.html#af6b6f85d6f1ddda3cdcdefc52b3ed54c">OnEntry</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span>    {</div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno">  303</span>        super.OnEntry(e);</div>
<div class="line"><a id="l00304" name="l00304"></a><span class="lineno">  304</span>    }</div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno">  305</span> </div>
<div class="line"><a id="l00306" name="l00306"></a><span class="lineno"><a class="line" href="../../d9/ddd/class_bot___test_spawn_open.html#a3f15ef539b71d4648cfeaa3854c8e8dd">  306</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/ddd/class_bot___test_spawn_open.html#a3f15ef539b71d4648cfeaa3854c8e8dd">OnExit</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</div>
<div class="line"><a id="l00307" name="l00307"></a><span class="lineno">  307</span>    {</div>
<div class="line"><a id="l00308" name="l00308"></a><span class="lineno">  308</span>        super.OnExit(e);</div>
<div class="line"><a id="l00309" name="l00309"></a><span class="lineno">  309</span>    }</div>
<div class="line"><a id="l00310" name="l00310"></a><span class="lineno">  310</span> </div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno"><a class="line" href="../../d9/ddd/class_bot___test_spawn_open.html#a4535e7a2c3d8b0eb74eb1ff0ea27d829">  311</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/ddd/class_bot___test_spawn_open.html#a4535e7a2c3d8b0eb74eb1ff0ea27d829">OnUpdate</a> (<span class="keywordtype">float</span> dt)</div>
<div class="line"><a id="l00312" name="l00312"></a><span class="lineno">  312</span>    {</div>
<div class="line"><a id="l00313" name="l00313"></a><span class="lineno">  313</span>        super.OnUpdate(dt);</div>
<div class="line"><a id="l00314" name="l00314"></a><span class="lineno">  314</span>    }</div>
<div class="line"><a id="l00315" name="l00315"></a><span class="lineno">  315</span>};</div>
<div class="line"><a id="l00316" name="l00316"></a><span class="lineno">  316</span> </div>
<div class="ttc" id="a4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_html_abfdaa01618f1af01d1a23e2611c0109f"><div class="ttname"><a href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a></div><div class="ttdeci">eBleedingSourceType m_Type</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00025">BleedingSource.c:25</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="a_bot_8c_html_a28d5d7d6fb28048af5ba4e06653d5ec4"><div class="ttname"><a href="../../d9/d1c/_bot_8c.html#a28d5d7d6fb28048af5ba4e06653d5ec4">botDebugSpam</a></div><div class="ttdeci">void botDebugSpam(string s)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d1c/_bot_8c_source.html#l00187">Bot.c:187</a></div></div>
<div class="ttc" id="a_bot_8c_html_a2cc868d5ca0b15d073aac0daefb7dfeb"><div class="ttname"><a href="../../d9/d1c/_bot_8c.html#a2cc868d5ca0b15d073aac0daefb7dfeb">botDebugPrint</a></div><div class="ttdeci">void botDebugPrint(string s)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d1c/_bot_8c_source.html#l00182">Bot.c:182</a></div></div>
<div class="ttc" id="a_bot_f_s_m_8c_html_ae0f31efa3104368661141b422545f27c"><div class="ttname"><a href="../../dc/d0a/_bot_f_s_m_8c.html#ae0f31efa3104368661141b422545f27c">BotTransition</a></div><div class="ttdeci">FSMTransition&lt; BotStateBase, BotEventBase, BotActionBase, BotGuardBase &gt; BotTransition</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d0a/_bot_f_s_m_8c_source.html#l00007">BotFSM.c:7</a></div></div>
<div class="ttc" id="a_hand___states_8c_html_ac3e3346bc6f9bb504e43495424c91a51"><div class="ttname"><a href="../../d3/d45/_hand___states_8c.html#ac3e3346bc6f9bb504e43495424c91a51">Empty</a></div><div class="ttdeci">Empty</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d45/_hand___states_8c_source.html#l00014">Hand_States.c:14</a></div></div>
<div class="ttc" id="a_plugin_item_diagnostic_8c_html_a5409d59c30dd053fe7160f39a0e55166"><div class="ttname"><a href="../../da/dbd/_plugin_item_diagnostic_8c.html#a5409d59c30dd053fe7160f39a0e55166">m_Entity</a></div><div class="ttdeci">class PluginItemDiagnosticEventHandler extends ScriptedWidgetEventHandler m_Entity</div></div>
<div class="ttc" id="aclass_action_manager_base_html"><div class="ttname"><a href="../../d9/dd1/class_action_manager_base.html">ActionManagerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/db9/_action_manager_base_8c_source.html#l00031">ActionManagerBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_manager_client_html"><div class="ttname"><a href="../../d7/da1/class_action_manager_client.html">ActionManagerClient</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dae/_action_manager_client_8c_source.html#l00004">ActionManagerClient.c:5</a></div></div>
<div class="ttc" id="aclass_bot___test_spawn_open_html"><div class="ttname"><a href="../../d9/ddd/class_bot___test_spawn_open.html">Bot_TestSpawnOpen</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00240">Bot_TestSpawnAndOpenCan.c:241</a></div></div>
<div class="ttc" id="aclass_bot___test_spawn_open_html_a028b02a94ed3eac86f358bdc65b03dc2"><div class="ttname"><a href="../../d9/ddd/class_bot___test_spawn_open.html#a028b02a94ed3eac86f358bdc65b03dc2">Bot_TestSpawnOpen::Bot_TestSpawnOpenDestroy</a></div><div class="ttdeci">void Bot_TestSpawnOpenDestroy(Bot bot=NULL, BotStateBase parent=NULL, string new_type=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00266">Bot_TestSpawnAndOpenCan.c:266</a></div></div>
<div class="ttc" id="aclass_bot___test_spawn_open_html_a1f5a54906b347f5ef514b104c7b8f4de"><div class="ttname"><a href="../../d9/ddd/class_bot___test_spawn_open.html#a1f5a54906b347f5ef514b104c7b8f4de">Bot_TestSpawnOpen::m_Destroying</a></div><div class="ttdeci">ref BotDestroyEntityInHands m_Destroying</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00264">Bot_TestSpawnAndOpenCan.c:264</a></div></div>
<div class="ttc" id="aclass_bot___test_spawn_open_html_a3f15ef539b71d4648cfeaa3854c8e8dd"><div class="ttname"><a href="../../d9/ddd/class_bot___test_spawn_open.html#a3f15ef539b71d4648cfeaa3854c8e8dd">Bot_TestSpawnOpen::OnExit</a></div><div class="ttdeci">override void OnExit(BotEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00258">Bot_TestSpawnAndOpenCan.c:258</a></div></div>
<div class="ttc" id="aclass_bot___test_spawn_open_html_a4535e7a2c3d8b0eb74eb1ff0ea27d829"><div class="ttname"><a href="../../d9/ddd/class_bot___test_spawn_open.html#a4535e7a2c3d8b0eb74eb1ff0ea27d829">Bot_TestSpawnOpen::OnUpdate</a></div><div class="ttdeci">override void OnUpdate(float dt)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00259">Bot_TestSpawnAndOpenCan.c:259</a></div></div>
<div class="ttc" id="aclass_bot___test_spawn_open_html_a9c1ec19b90fa6c75917af620abe32289"><div class="ttname"><a href="../../d9/ddd/class_bot___test_spawn_open.html#a9c1ec19b90fa6c75917af620abe32289">Bot_TestSpawnOpen::Bot_TestSpawnOpenDrop</a></div><div class="ttdeci">void Bot_TestSpawnOpenDrop(Bot bot=NULL, BotStateBase parent=NULL, string new_type=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00244">Bot_TestSpawnAndOpenCan.c:244</a></div></div>
<div class="ttc" id="aclass_bot___test_spawn_open_html_aac2b8cde6d587e3b360f4ed1d8228df0"><div class="ttname"><a href="../../d9/ddd/class_bot___test_spawn_open.html#aac2b8cde6d587e3b360f4ed1d8228df0">Bot_TestSpawnOpen::m_Eating</a></div><div class="ttdeci">ref BotEatEntityInHands m_Eating</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00286">Bot_TestSpawnAndOpenCan.c:286</a></div></div>
<div class="ttc" id="aclass_bot___test_spawn_open_html_ae070ff74f602e3e5da6aa3b3ceac12ae"><div class="ttname"><a href="../../d9/ddd/class_bot___test_spawn_open.html#ae070ff74f602e3e5da6aa3b3ceac12ae">Bot_TestSpawnOpen::m_Dropping</a></div><div class="ttdeci">ref BotDropEntityInHands m_Dropping</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00242">Bot_TestSpawnAndOpenCan.c:242</a></div></div>
<div class="ttc" id="aclass_bot___test_spawn_open_html_ae1baf464e0c9f631a85bb38a44311715"><div class="ttname"><a href="../../d9/ddd/class_bot___test_spawn_open.html#ae1baf464e0c9f631a85bb38a44311715">Bot_TestSpawnOpen::Bot_TestSpawnOpenEat</a></div><div class="ttdeci">void Bot_TestSpawnOpenEat(Bot bot=NULL, BotStateBase parent=NULL, string new_type=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00288">Bot_TestSpawnAndOpenCan.c:288</a></div></div>
<div class="ttc" id="aclass_bot___test_spawn_open_html_af6b6f85d6f1ddda3cdcdefc52b3ed54c"><div class="ttname"><a href="../../d9/ddd/class_bot___test_spawn_open.html#af6b6f85d6f1ddda3cdcdefc52b3ed54c">Bot_TestSpawnOpen::OnEntry</a></div><div class="ttdeci">override void OnEntry(BotEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00257">Bot_TestSpawnAndOpenCan.c:257</a></div></div>
<div class="ttc" id="aclass_bot_event_base_html"><div class="ttname"><a href="../../dd/d84/class_bot_event_base.html">BotEventBase</a></div><div class="ttdoc">represents event that triggers transition from state to state</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df2/_bot_events_8c_source.html#l00004">BotEvents.c:5</a></div></div>
<div class="ttc" id="aclass_bot_event_base_html_a82bda6c954f336e699e831c93f8646da"><div class="ttname"><a href="../../dd/d84/class_bot_event_base.html#a82bda6c954f336e699e831c93f8646da">BotEventBase::m_Entity</a></div><div class="ttdeci">EntityAI m_Entity</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df2/_bot_events_8c_source.html#l00007">BotEvents.c:7</a></div></div>
<div class="ttc" id="aclass_bot_event_entity_in_hands_html"><div class="ttname"><a href="../../d1/dd9/class_bot_event_entity_in_hands.html">BotEventEntityInHands</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00001">Bot_TestSpawnAndOpenCan.c:1</a></div></div>
<div class="ttc" id="aclass_bot_event_entity_in_hands_opened_html"><div class="ttname"><a href="../../d7/ddc/class_bot_event_entity_in_hands_opened.html">BotEventEntityInHandsOpened</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00040">Bot_TestSpawnAndOpenCan.c:40</a></div></div>
<div class="ttc" id="aclass_bot_event_hands_empty_html"><div class="ttname"><a href="../../dd/da8/class_bot_event_hands_empty.html">BotEventHandsEmpty</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00126">Bot_TestSpawnAndOpenCan.c:126</a></div></div>
<div class="ttc" id="aclass_bot_event_on_item_in_hands_changed_html"><div class="ttname"><a href="../../de/d5c/class_bot_event_on_item_in_hands_changed.html">BotEventOnItemInHandsChanged</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df2/_bot_events_8c_source.html#l00022">BotEvents.c:22</a></div></div>
<div class="ttc" id="aclass_bot_html"><div class="ttname"><a href="../../de/d69/class_bot.html">Bot</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d1c/_bot_8c_source.html#l00018">Bot.c:19</a></div></div>
<div class="ttc" id="aclass_bot_state_base_html"><div class="ttname"><a href="../../d6/d45/class_bot_state_base.html">BotStateBase</a></div><div class="ttdoc">represent weapon state base</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d38/_bot___hunt_8c_source.html#l00015">Bot_Hunt.c:16</a></div></div>
<div class="ttc" id="aclass_bot_state_base_html_a08745df4bac496a5b477b92e09c32567"><div class="ttname"><a href="../../d6/d45/class_bot_state_base.html#a08745df4bac496a5b477b92e09c32567">BotStateBase::BotSpawnEntityInHands</a></div><div class="ttdeci">void BotSpawnEntityInHands(Bot bot=NULL, BotStateBase parent=NULL, string new_type=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00007">Bot_TestSpawnAndOpenCan.c:7</a></div></div>
<div class="ttc" id="aclass_bot_state_base_html_a5c1a678175d5b3bb5f37bb7b6af368bb"><div class="ttname"><a href="../../d6/d45/class_bot_state_base.html#a5c1a678175d5b3bb5f37bb7b6af368bb">BotStateBase::OnUpdate</a></div><div class="ttdeci">override void OnUpdate(float dt)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00027">Bot_TestSpawnAndOpenCan.c:27</a></div></div>
<div class="ttc" id="aclass_bot_state_base_html_a6d5c3da898935df052955e057facd798"><div class="ttname"><a href="../../d6/d45/class_bot_state_base.html#a6d5c3da898935df052955e057facd798">BotStateBase::m_Spawning</a></div><div class="ttdeci">ref BotSpawnEntityInHands m_Spawning</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00096">Bot_TestSpawnAndOpenCan.c:96</a></div></div>
<div class="ttc" id="aclass_bot_state_base_html_a71c560e9a695082f63741f6c6839b5b4"><div class="ttname"><a href="../../d6/d45/class_bot_state_base.html#a71c560e9a695082f63741f6c6839b5b4">BotStateBase::OnEntry</a></div><div class="ttdeci">override void OnEntry(BotEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00015">Bot_TestSpawnAndOpenCan.c:15</a></div></div>
<div class="ttc" id="aclass_bot_state_base_html_a768d4ba9b3aaa1273152cbd09d9d47dc"><div class="ttname"><a href="../../d6/d45/class_bot_state_base.html#a768d4ba9b3aaa1273152cbd09d9d47dc">BotStateBase::OnAbort</a></div><div class="ttdeci">override void OnAbort(BotEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00066">Bot_TestSpawnAndOpenCan.c:66</a></div></div>
<div class="ttc" id="aclass_bot_state_base_html_aa86fa14cbf4a61eab0626061a7504253"><div class="ttname"><a href="../../d6/d45/class_bot_state_base.html#aa86fa14cbf4a61eab0626061a7504253">BotStateBase::OnExit</a></div><div class="ttdeci">override void OnExit(BotEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00025">Bot_TestSpawnAndOpenCan.c:25</a></div></div>
<div class="ttc" id="aclass_bot_state_base_html_abdf9e0273d875e1a9b0f4bb82e29d116"><div class="ttname"><a href="../../d6/d45/class_bot_state_base.html#abdf9e0273d875e1a9b0f4bb82e29d116">BotStateBase::m_Entity</a></div><div class="ttdeci">EntityAI m_Entity</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d93/_bot___test_attach_and_drop_cycle_8c_source.html#l00007">Bot_TestAttachAndDropCycle.c:7</a></div></div>
<div class="ttc" id="aclass_bot_state_base_html_ac98e9103af36414e8fbb1461449c6c1f"><div class="ttname"><a href="../../d6/d45/class_bot_state_base.html#ac98e9103af36414e8fbb1461449c6c1f">BotStateBase::Bot_TestSpawnOpen</a></div><div class="ttdeci">void Bot_TestSpawnOpen(Bot bot=NULL, BotStateBase parent=NULL, string new_type=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00099">Bot_TestSpawnAndOpenCan.c:99</a></div></div>
<div class="ttc" id="aclass_bot_state_base_html_adf06b6bba2afba3da63fc6cdd99ddd80"><div class="ttname"><a href="../../d6/d45/class_bot_state_base.html#adf06b6bba2afba3da63fc6cdd99ddd80">BotStateBase::m_Type</a></div><div class="ttdeci">string m_Type</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00005">Bot_TestSpawnAndOpenCan.c:5</a></div></div>
<div class="ttc" id="aclass_bot_state_base_html_afb2f6b24a2e3b1e7ab89bc0fe492d3bf"><div class="ttname"><a href="../../d6/d45/class_bot_state_base.html#afb2f6b24a2e3b1e7ab89bc0fe492d3bf">BotStateBase::m_Opening</a></div><div class="ttdeci">ref BotOpenEntityInHands m_Opening</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00097">Bot_TestSpawnAndOpenCan.c:97</a></div></div>
<div class="ttc" id="aclass_bot_wait_for_change_in_hands_html"><div class="ttname"><a href="../../dc/dd9/class_bot_wait_for_change_in_hands.html">BotWaitForChangeInHands</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00158">Bot_TestSpawnAndOpenCan.c:159</a></div></div>
<div class="ttc" id="aclass_bot_wait_for_change_in_hands_html_a558cf87a3755934fe595eb4956e0e594"><div class="ttname"><a href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#a558cf87a3755934fe595eb4956e0e594">BotWaitForChangeInHands::OnExit</a></div><div class="ttdeci">override void OnExit(BotEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00178">Bot_TestSpawnAndOpenCan.c:178</a></div></div>
<div class="ttc" id="aclass_bot_wait_for_change_in_hands_html_acfc8f79d952d8fbc61de2982c8c46469"><div class="ttname"><a href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#acfc8f79d952d8fbc61de2982c8c46469">BotWaitForChangeInHands::OnEntry</a></div><div class="ttdeci">override void OnEntry(BotEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00162">Bot_TestSpawnAndOpenCan.c:162</a></div></div>
<div class="ttc" id="aclass_bot_wait_for_change_in_hands_html_ae169cd5ba348c834624fa34c775695e0"><div class="ttname"><a href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#ae169cd5ba348c834624fa34c775695e0">BotWaitForChangeInHands::m_Entity</a></div><div class="ttdeci">EntityAI m_Entity</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00160">Bot_TestSpawnAndOpenCan.c:160</a></div></div>
<div class="ttc" id="aclass_bot_wait_for_change_in_hands_html_ae7c890bd961c84618dd9ff650c66d302"><div class="ttname"><a href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#ae7c890bd961c84618dd9ff650c66d302">BotWaitForChangeInHands::OnUpdate</a></div><div class="ttdeci">override void OnUpdate(float dt)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00179">Bot_TestSpawnAndOpenCan.c:179</a></div></div>
<div class="ttc" id="aclass_bot_wait_for_change_in_hands_html_aecc9b4cf10547aedbea2fae4ae65a887"><div class="ttname"><a href="../../dc/dd9/class_bot_wait_for_change_in_hands.html#aecc9b4cf10547aedbea2fae4ae65a887">BotWaitForChangeInHands::OnAbort</a></div><div class="ttdeci">override void OnAbort(BotEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/_bot___test_spawn_and_open_can_8c_source.html#l00177">Bot_TestSpawnAndOpenCan.c:177</a></div></div>
<div class="ttc" id="aclass_edible___base_html"><div class="ttname"><a href="../../df/d7c/class_edible___base.html">Edible_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d78/_bear_steak_meat_8c_source.html#l00001">BearSteakMeat.c:2</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html_a73d315786982fc6435ec17de1fab9168"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html#a73d315786982fc6435ec17de1fab9168">EntityAI::GetHumanInventory</a></div><div class="ttdeci">HumanInventory GetHumanInventory()</div><div class="ttdoc">inventory</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dcd/3___game_2_entities_2_man_8c_source.html#l00046">Man.c:46</a></div></div>
<div class="ttc" id="aclass_human_inventory_html_a314bb90c0fcbd13aa737c13b199ac429"><div class="ttname"><a href="../../d8/d86/class_human_inventory.html#a314bb90c0fcbd13aa737c13b199ac429">HumanInventory::GetEntityInHands</a></div><div class="ttdeci">proto native EntityAI GetEntityInHands()</div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00099">EnConvert.c:100</a></div></div>
<div class="ttc" id="aclassvector_html_a6f6d5246e38b34f79fa2741a7e72d7e7"><div class="ttname"><a href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">vector::Zero</a></div><div class="ttdeci">static const vector Zero</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00104">EnConvert.c:104</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6bf3172c861dd775de5c544fed868499"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6bf3172c861dd775de5c544fed868499">DayZPlayerInstanceType</a></div><div class="ttdeci">DayZPlayerInstanceType</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00990">dayzplayer.c:991</a></div></div>
<div class="ttc" id="agroup___strings_html_gade0ebcf22ddfeae2017ea97188d950be"><div class="ttname"><a href="../../d5/da2/group___strings.html#gade0ebcf22ddfeae2017ea97188d950be">string::IndexOf</a></div><div class="ttdeci">proto native int IndexOf(string sample)</div><div class="ttdoc">Finds 'sample' in 'str'. Returns -1 when not found.</div></div>
<div class="ttc" id="anamespace_3global_scope_4_html_d3/dd9/class_bot_f_s_m"><div class="ttname"><a href="../../d0/deb/namespace_3global_scope_4.html#d3/dd9/class_bot_f_s_m">BotFSM</a></div><div class="ttdoc">Bot Finite State Machine (Hierarchical)</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_fb922471f7527a278c6309872d86c75c.html">Systems</a></li><li class="navelem"><a class="el" href="../../dir_39d73f2d5d370a78e7bd95801ee9f1ae.html">Bot</a></li><li class="navelem"><a class="el" href="../../dc/dce/_bot___test_spawn_and_open_can_8c.html">Bot_TestSpawnAndOpenCan.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
